ciao, volevo sapere se e come installare miraclecast su ubuntu

chiesto 29 Gen '15, 18:45

stev80's gravatar image

stev80
20235

Quale Ubuntu?

Comunque direi che seguendo le istruzioni sul sito dovresti riuscirci :) https://github.com/albfan/miraclecast

(29 Gen '15, 19:05) dadexix86 ♦♦ dadexix86's gravatar image

ubuntu 14.04 cmq chiedevo qui perchè dal sito non avevo capito niente soprattutto per quanto riguarda individuare i software che devo avere prima di installarlo

(29 Gen '15, 19:39) stev80 stev80's gravatar image

La guida è quella. Di preciso cosa non ti è chiaro?

(29 Gen '15, 19:58) dadexix86 ♦♦ dadexix86's gravatar image

mi dice che devo avere dei software già preinstallati.....e già non so come verificarlo...... poi quando scrivo il codice che c'è sotto mi da comando non corretto.... mi manca qualche nozione su come settare il tutto

(29 Gen '15, 20:29) stev80 stev80's gravatar image

Per i software puoi farlo dal software center o da terminale con il comando

apt-cache policy NOME_DEL_PACCHETTO

ad esempio sul mio sistema

davide@brenna:~$ apt-cache policy systemd
systemd:
  Installato: 208-8ubuntu8.2
  Candidato:  208-8ubuntu8.2
[...]

Riporta esattamente gli errori che ricevi, che non abbiamo la palla di vetro :)

(30 Gen '15, 09:49) dadexix86 ♦♦ dadexix86's gravatar image

ok nessuno dei pacchetti richiesti è installato .....come li installo ??? con sudo apt-get install non riesco ad installare niente

(30 Gen '15, 21:26) stev80 stev80's gravatar image

Strano! Ubuntu ha di default systemd... Quale versione di Ubuntu usi?

Assicurati di avere almeno la 14.10, così ti sarà più facile scaricare e installare (ovviamente da qui) la versione 213 richiesta da quello che vuoi installare.

(30 Gen '15, 21:43) dadexix86 ♦♦ dadexix86's gravatar image

ho avuto dei problemi con la versione 14.10 io uso la 14.04

(30 Gen '15, 22:03) stev80 stev80's gravatar image

non posso scaricarli con questa versione ???

(30 Gen '15, 22:05) stev80 stev80's gravatar image

Mah, dato che devi usare dei pacchetti instabili che fanno parte della versione di Ubuntu in sviluppo (15.04) ti conviene partire dalla 14.10 anziché dalla 14.04, sicuramente avranno meno problemi di compatibilità :)

La cosa migliore sarebbe usare direttamente la versione in sviluppo 15.04 e provare se riesci a farlo andare lì (così non dovrai aggiungere pacchetti che magari presentano delle incompatibilità con la tua versione di Ubuntu).

Comunque fai queste prove sempre prima su una distribuzione ausiliaria (in VM o su partizione dedicata) e non su quella principale.

(31 Gen '15, 10:14) dadexix86 ♦♦ dadexix86's gravatar image

ok lo farò grazie dell aiuto Ti farò sapere se avrò problemi dopo aver installato il tutto

(31 Gen '15, 15:15) stev80 stev80's gravatar image

ciao ho installato ubunto 15.04in virtual box ..... facendo il check mi dice che ho systemd ma non gli altri ma poi dal link dove scaricare non mi manda in nessuna pagina, o meglio , mi da er 404 page not found

(03 Feb '15, 18:24) stev80 stev80's gravatar image

@stev80: usa i commenti, non le risposte.

(03 Feb '15, 18:32) enzotib ♦♦ enzotib's gravatar image

Ehm... quale link da cui scaricare, esattamente?

(03 Feb '15, 19:00) dadexix86 ♦♦ dadexix86's gravatar image

il link di cui parlo è questo Released tarballs can be found at: http://www.freedesktop.org/software/miracle/releases

(04 Feb '15, 17:11) stev80 stev80's gravatar image

Ah ma no, non usare i tarballs, usa git direttamente, che è molto più comodo :)

(04 Feb '15, 17:16) dadexix86 ♦♦ dadexix86's gravatar image

e come si fa??? scusa l ignoranza

(04 Feb '15, 17:22) stev80 stev80's gravatar image

https://help.github.com/

Anche se meno "potente" che git, comunque sulla destra di quella pagina c'è un "Download ZIP".

(04 Feb '15, 17:40) dadexix86 ♦♦ dadexix86's gravatar image

ancora non mi è chiaro come installare miracle-cast ho il file zip ma poi ???

(04 Feb '15, 18:46) stev80 stev80's gravatar image

systemd: A system management daemon. It is used for device-management (udev), dbus management (sd-bus) and service management.

Systemd must be compiled with --enable-kdbus, even though kdbus isn't used, but only the independent, experimental sd-libraries.

required: >=systemd-213

glib: A utility library. Used by the current DHCP implementation. Will be removed once sd-dns gains DHCP-server capabilities.

required: ~=glib2-2.38 (might work with older releases, untested..)

check: Test-suite for C programs. Used for optional tests of the MiracleCast code base.

(04 Feb '15, 19:41) stev80 stev80's gravatar image

check: Test-suite for C programs. Used for optional tests of the MiracleCast code base.

optional: ~=check-0.9.11 (might work with older releases, untested..)

gstreamer: MiracleCast relay on gstreamer to show cast its output. You can test if all needed is installed launching res/test_viewer.sh

A parte sytemd non trovo altro installato....sto usando ubuntu15.04 in VM tengo a specificarlo

(04 Feb '15, 19:43) stev80 stev80's gravatar image

Installa il resto che ti manca e poi segui le istruzioni per l'installazione presenti sul sito sopra :)

(04 Feb '15, 20:17) dadexix86 ♦♦ dadexix86's gravatar image

Non me li installa!!!!!!!!!

(05 Feb '15, 00:50) stev80 stev80's gravatar image

Capisci che però è un casino aiutarti, sì?

Esattamente quale errore ti riporta quando ci provi?

(05 Feb '15, 00:53) dadexix86 ♦♦ dadexix86's gravatar image

Non trova i pacchetti per l installazine....semplicemente

(05 Feb '15, 00:56) stev80 stev80's gravatar image

Quali pacchetti? Cosa hai provato ad installare esattamente?

Perché tutti i pacchetti lì elencati per Vivid ci sono! C'è systemd alla versione 218-7ubuntu1
C'è glib2 alla versione 2.43.3-1
Ci sono pure gli opzionali check alla versione 0.9.10-6.1ubuntu1 e ovviamente gstreamer.

(05 Feb '15, 01:01) dadexix86 ♦♦ dadexix86's gravatar image
(05 Feb '15, 10:40) stev80 stev80's gravatar image

Ma lo zip l'hai scompattato nella tua cartella home o in una sotto cartella?

Ho dato per scontato (errore mio) che, volendo tu compilare un programma partendo dai sorgenti, avessi almeno una vaga idea di come fare. Mi sembra che tu non abbia la più pallida idea di cosa stai facendo, quindi prima di proseguire ti consiglio di dare una lettura approfondita alla nostra guida ufficiale alla compilazione da sorgenti cercando di capire tutto quello che c'è scritto e cosa fanno i vari comandi lì elencati.

(05 Feb '15, 11:16) dadexix86 ♦♦ dadexix86's gravatar image

Ho scompattato lo zip sono andato nella directory miraclecast-master(l' ho lasciata nella directory Scaricati,per rispondere alla tua domanda) e con ./configure --prefix=/usr/local mi da errore ho provato con configure.ac (il file nella cartella è nominato in questo modo) e mi dice permesso negato

(05 Feb '15, 11:37) stev80 stev80's gravatar image

Il comando sopra però l'hai dato nella cartella home, non nella cartella Scaricati/miraclecast-master.

Lo puoi vedere qui in quale cartella sei:

stef@stef-VirtualBox:~$

lì ci sono scritti l'utente (stef), il nome dell'host (stef-VirtualBox), la cartella in cui sei (~) e i permessi che hai ($).

Quindi i comandi del link li hai dati tutti nella cartella home (abbreviata con ~) :)

(05 Feb '15, 11:41) dadexix86 ♦♦ dadexix86's gravatar image

ora ho seguito la guida che mi hai fatto leggere ed il risultato è stato quello

(05 Feb '15, 11:43) stev80 stev80's gravatar image

root@stef-VirtualBox:~/miraclecast-master# test -f ./configure || NOCONFIGURE=1 ./autogen.sh ./autogen.sh: 11: ./autogen.sh: autoreconf: not found root@stef-VirtualBox:~/miraclecast-master# test -f ./configure.ac || NOCONFIGURE=1 ./autogen.sh root@stef-VirtualBox:~/miraclecast-master# ./configure.ac --prefix=/usr/local bash: ./configure.ac: Permesso negato root@stef-VirtualBox:~/miraclecast-master#

(05 Feb '15, 11:46) stev80 stev80's gravatar image

"quello" quale? Metti per favore gli input e gli output del terminale su pastebin e incolla qui il link :)

EDIT scusa non avevo visto il secondo commento. Per favore i codici mettili su pastebin o almeno formattali, che così sono illeggibili :)

(05 Feb '15, 11:47) dadexix86 ♦♦ dadexix86's gravatar image

Comunque la soluzione al tuo problema dell'autoreconf non trovato si trova nell'apposito manuale (che ti consiglio di leggere, così come tutti i manuali dei vari comandi che invochi). Devi installare autoconf.

E quei comandi non darli come root, dato che sul sito sono dati come utente normale (vedi che c'è $ e non #, accanto? :) ).

(05 Feb '15, 11:55) dadexix86 ♦♦ dadexix86's gravatar image

ho voluto fare una prova anche coi permessi di root

(05 Feb '15, 12:20) stev80 stev80's gravatar image

stef@stef-VirtualBox:~/miraclecast-master$ autoreconf configure.ac configure.ac:29: error: required file 'build-aux/ar-lib' not found configure.ac:29: 'automake --add-missing' can install 'ar-lib' configure.ac:17: error: required file 'build-aux/compile' not found configure.ac:17: 'automake --add-missing' can install 'compile' configure.ac:19: error: required file 'build-aux/config.guess' not found configure.ac:19: 'automake --add-missing' can install 'config.guess' configure.ac:19: error: required file 'build-aux/config.sub' not found

(05 Feb '15, 14:00) stev80 stev80's gravatar image

configure.ac:19: 'automake --add-missing' can install 'config.guess' configure.ac:19: error: required file 'build-aux/config.sub' not found configure.ac:19: 'automake --add-missing' can install 'config.sub' configure.ac:21: error: required file 'build-aux/install-sh' not found configure.ac:21: 'automake --add-missing' can install 'install-sh' configure.ac:21: error: required file 'build-aux/missing' not found configure.ac:21: 'automake --add-missing' can install 'missing' Makefile.am:33: error: Libtool library used but 'LIBTOOL' is undefined

(05 Feb '15, 14:02) stev80 stev80's gravatar image

Makefile.am:33: The usual way to define 'LIBTOOL' is to add 'LT_INIT' Makefile.am:33: to 'configure.ac' and run 'aclocal' and 'autoconf' again. Makefile.am:33: If 'LT_INIT' is in 'configure.ac', make sure Makefile.am:33: its definition is in aclocal's search path. Makefile.am: error: required file 'build-aux/depcomp' not found Makefile.am: 'automake --add-missing' can install 'depcomp' parallel-tests: error: required file 'build-aux/test-driver' not found parallel-tests: 'automake --add-missing' can install 'test-driver' autoreconf: automake failed with exit status: 1

(05 Feb '15, 14:05) stev80 stev80's gravatar image

Non si capisce nulla di quanto sopra. Per favore usa pastebin o almeno la formattazione per i codici, che così è impossibile aiutarti.

(05 Feb '15, 14:05) dadexix86 ♦♦ dadexix86's gravatar image

Scusa ma non sono riuscito a formattare il testo cmq mi da errore dove sto sbagliando ????

(05 Feb '15, 14:07) stev80 stev80's gravatar image

Non lo so, perché quello che c'è lì sopra è praticamente illeggibile.
Usa pastebin per i codici lunghi per favore.

(05 Feb '15, 14:08) dadexix86 ♦♦ dadexix86's gravatar image

incominciamo da qui forse è meglio http://paste.ubuntu.com/10080046/ questi sono i risultati del check ora ....come e dove posso scaricarli ed installarli ???

(05 Feb '15, 22:53) stev80 stev80's gravatar image

No, no, allora...

Per check è facile, è solo un programma, quindi

sudo apt-get install check

Ma glib sono librerie e gstreamer è un framework. Non sono programmi singoli!

apt-cache policy glib* streamer*
(05 Feb '15, 22:57) dadexix86 ♦♦ dadexix86's gravatar image

http://paste.ubuntu.com/10080387/ questo è ciò che volevo farti leggere stamattina .....

(05 Feb '15, 23:22) stev80 stev80's gravatar image

io vorrei sapere perchè mi dice permesso negato ancora

(05 Feb '15, 23:48) stev80 stev80's gravatar image

Ma quel comando da dove l'hai preso? O.ò

Segui le istruzioni per compilare, non inventartele tu :)

(06 Feb '15, 00:44) dadexix86 ♦♦ dadexix86's gravatar image

http://paste.ubuntu.com/10081626/ ora mi da questo tipo di errore dice che non c'è install sh

(06 Feb '15, 01:03) stev80 stev80's gravatar image

Questo è molto strano... Dopo i casini sopra hai riscaricato e ri-scompattato prima di riprovare, così da eliminare eventuali modifiche involontarie?

EDIT: questo è il mio output a quel comando quando provo a compilare su 14.04.

(06 Feb '15, 09:20) dadexix86 ♦♦ dadexix86's gravatar image

cioè tu la puoi installare su 14.04 ??? è quello che a me

(06 Feb '15, 16:49) stev80 stev80's gravatar image

Ovviamente no, infatti mi dà errore alla fine, però tutto quello che c'è prima è come dovrebbe essere anche a te.

Hai quindi provato a riscaricare e riscompattare?

(06 Feb '15, 16:53) dadexix86 ♦♦ dadexix86's gravatar image

mi da lo stesso errore tuo alla fine boooo

(06 Feb '15, 17:06) stev80 stev80's gravatar image

http://paste.ubuntu.com/10094019/ questi son i miei risultati

(06 Feb '15, 17:10) stev80 stev80's gravatar image

Nel primo comando c'è evidentemente un problema. Segnalalo allo sviluppatore sperando che lo corregga :)

(06 Feb '15, 20:58) dadexix86 ♦♦ dadexix86's gravatar image

Se sei ancora interessato, prova a dare un'occhiata qui:

Miracast e Ubuntu: guida a Miraclecast per Linux

(nota: sono l'autore della guida)

In brevissimo:

  1. Installa le dipendenze: sudo apt install build-essential checkinstall autoconf libtool libudev-dev libsystemd-dev libgtk2.0-dev libreadline-dev vlc -y
  2. Copia la config: sudo cp org.freedesktop.miracle.conf /etc/dbus-1/system.d/
  3. Vai di compilazione: sudo ./autogen.sh && sudo mkdir build && cd build && sudo ../configure && sudo make && sudo make install
  4. Ammazza il Wi-Fi: sudo ./kill-wpa.sh
  5. Avvia il demone: sudo miracle-wifid --log-level trace
  6. Avvia il programma di controllo: sudo miracle-wifictl --log-level trace

A questo punto seleziona l'interfaccia con select X, rileva la ricevente con p2p-scan e finalizza la connessione con connect aa:bb:cc:dd:ee:ff.

Per avviare lo stream:

cvlc screen:// :screen-fps=25 :screen-caching=100 --sout '#transcode{vcodec=MJPG,vb=0,width=1022,height=575,acodec=none}: http{mux=ogg,dst=:8554/myscreen}'

Spero di esserti stato utile, ciao!

coll. permanente

ha risposto 25 Set '16, 22:49

Zane's gravatar image

Zane
302

La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×90

domanda posta: 29 Gen '15, 18:45

domanda visualizzata: 4,211 volte

ultimo aggiornamento: 25 Set '16, 22:49

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.